org.jbpm.ruleflow.core.factory

## Class ActionNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.ActionNodeFactory

-     public class ActionNodeFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionNodeFactory` | `action(Action action)`
    `ActionNodeFactory` | `action(String dialect, String action)`
    `ActionNodeFactory` | `action(String dialect, String action, boolean isDroolsAction)`
    `protected Node` | `createNode()`
    `protected ActionNode` | `getActionNode()`
    `ActionNodeFactory` | `name(String name)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionNodeFactory

          public ActionNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                   NodeContainer nodeContainer,
                                   long id)

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getActionNode

          protected ActionNode getActionNode()

    - #### name

          public ActionNodeFactory name(String name)

    - #### action

          public ActionNodeFactory action(String dialect,
                                          String action)

    - #### action

          public ActionNodeFactory action(String dialect,
                                          String action,
                                          boolean isDroolsAction)

    - #### action

          public ActionNodeFactory action(Action action)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.